import { database } from './javascript/config/database';
import { index_controller, user_controller } from './javascript/controller';
import { index_model, user_model } from './javascript/model';
import { index_router, user_router } from './javascript/router';
import { index_service, user_service } from './javascript/service';
import { user_migration } from './javascript/migration';
import { env, sequelizerc } from './javascript/main';
import { server } from './javascript/server';

import { env as envTyp, sequelizerc as sequelizercTyp, conecType, dbInit, tscEval } from './typescript/main';
import { database as databaseTyp } from './typescript/config';
import { indexRouter, userRoutes } from './typescript/routes';
import { controllerType } from './typescript/controllers';
import { server as severTyp } from './typescript/server';
import { indexModel, userModel } from './typescript/models';
import { userService } from './typescript/services';
import { userMigration } from './typescript/migrations';
import { userDemo } from './typescript/seeder';
import { dal } from './typescript/dal';
import { dto } from './typescript/dto';

const sequeliseJav = {
  database,
  index_controller,
  user_controller,
  index_model,
  user_model,
  index_router,
  user_router,
  index_service,
  user_service,
  env,
  sequelizerc,
  server,
  user_migration,
};

const sequeliseTyp = {
  databaseTyp,
  dal,
  dto,
  indexModel,
  userModel,
  envTyp,
  severTyp,
  sequelizercTyp,
  conecType,
  dbInit,
  indexRouter,
  userRoutes,
  controllerType,
  userService,
  tscEval,
  userMigration,
  userDemo
};

export { sequeliseJav, sequeliseTyp };
