export const sequelizerc = `
const path = require('path');

module.exports = {
  'models-path': path.resolve(__dirname, 'build', 'db', 'models'),
  'config': path.resolve(__dirname, 'build', 'db', 'config', 'database.js'),
  'seeders-path': path.resolve(__dirname, 'app', 'db', 'seeders'),
  'migrations-path': path.resolve(__dirname, 'app', 'db', 'migrations'),
};`;

export const conecType = `
import { Sequelize } from 'sequelize';

const databaseConfig = require('../config/database');
const sequelizeConnection = new Sequelize(databaseConfig)

export default sequelizeConnection;

`

export const dbInit = `
import User from './models/User';
const isDev = process.env.NODE_ENV === 'development';

const DBInit = () => {
  User.sync({ alter: isDev })
}

export default DBInit;

`

export const env = `
NODE_ENV=development

# development
DB_NAME=my_db
DB_USER=root
DB_HOST=localhost
DB_DRIVER=mysql
DB_PASSWORD=1234
DB_PORT=3306

# production

# test

`;

export const tscEval = `
#!/usr/bin/env bash

npx -y tsc

if [ $? != 0 ]; then
  echo "Ocorreu um ero ao compilar o TypeScript, verifique seu código e tente novamente"
  exit 1
fi

`
