import { text } from './text';

class Readme {
  public content: string = text;

  constructor(orm: boolean | string) {
    if (orm) this.orm();
  }

  private orm() {
    this.content = this.content.replace(
      '___',
      `
      \n Se estiver usando Typescript rode o seguinte comando antes de começar: ${'`' + 'yarn db:init' + '`'
        } ${'`' + 'yarn build' + '`'
        } ou ${'`' + 'npm run db:init' + '`'} ${'`' + 'npm run build' + '`'}
      \nObs: Para que o app funcione, o banco de dados primeiramente deve estar criado: ${'`' + 'yarn db:create' + '`'
        } ou ${'`' + 'npm run db:create' + '`'}

      O app gerado já possui a tabela 'Users', no banco de dados, caso deseje remover essa tabela, execute: ${'`' + 'yarn db:rollback' + '`'
        } ou ${'`' + 'npm run db:rollback' + '`'}

      Comandos do Banco de Dados:
        - Criar uma Migração: ${'`' + 'npx sequelize migration:create --name=nome-da-migracao' + '`'
        }
        - Executar a Migração: ${'`' + 'yarn db:migrate' + '`'} ou ${'`' + 'npm run db:migrate' + '`'
        }`.replaceAll('  ', ''),
    );
  }
}

export { Readme };
