"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sequeliseTyp = exports.sequeliseJav = void 0;
const database_1 = require("./javascript/config/database");
const controller_1 = require("./javascript/controller");
const model_1 = require("./javascript/model");
const router_1 = require("./javascript/router");
const service_1 = require("./javascript/service");
const migration_1 = require("./javascript/migration");
const main_1 = require("./javascript/main");
const server_1 = require("./javascript/server");
const main_2 = require("./typescript/main");
const config_1 = require("./typescript/config");
const routes_1 = require("./typescript/routes");
const controllers_1 = require("./typescript/controllers");
const server_2 = require("./typescript/server");
const models_1 = require("./typescript/models");
const services_1 = require("./typescript/services");
const migrations_1 = require("./typescript/migrations");
const seeder_1 = require("./typescript/seeder");
const dal_1 = require("./typescript/dal");
const dto_1 = require("./typescript/dto");
const sequeliseJav = {
    database: database_1.database,
    index_controller: controller_1.index_controller,
    user_controller: controller_1.user_controller,
    index_model: model_1.index_model,
    user_model: model_1.user_model,
    index_router: router_1.index_router,
    user_router: router_1.user_router,
    index_service: service_1.index_service,
    user_service: service_1.user_service,
    env: main_1.env,
    sequelizerc: main_1.sequelizerc,
    server: server_1.server,
    user_migration: migration_1.user_migration,
};
exports.sequeliseJav = sequeliseJav;
const sequeliseTyp = {
    databaseTyp: config_1.database,
    dal: dal_1.dal,
    dto: dto_1.dto,
    indexModel: models_1.indexModel,
    userModel: models_1.userModel,
    envTyp: main_2.env,
    severTyp: server_2.server,
    sequelizercTyp: main_2.sequelizerc,
    conecType: main_2.conecType,
    dbInit: main_2.dbInit,
    indexRouter: routes_1.indexRouter,
    userRoutes: routes_1.userRoutes,
    controllerType: controllers_1.controllerType,
    userService: services_1.userService,
    tscEval: main_2.tscEval,
    userMigration: migrations_1.userMigration,
    userDemo: seeder_1.userDemo
};
exports.sequeliseTyp = sequeliseTyp;
//# sourceMappingURL=index.js.map