"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.server = void 0;
exports.server = `
import express from 'express';
import bodyParser from 'body-parser';
import cors from 'cors';

import routes from './api/routes';
import DBInit from './db/init';

DBInit

const app = express();
const port = process.env.PORT || 3333;

app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: true }));

app.use(cors({ origin: 'http://localhost:3000', methods: 'GET' }));

// Rotas
app.use('/api/v1', routes);

try {
  app.listen(port, () => console.log('Service started 🟢 | Porta' + port));
} catch (error) {
  if (error instanceof Error) {
    console.log('Error occurred: ' + error.message)
  }
}

`;
//# sourceMappingURL=server.js.map