"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.textHandling = exports.terminalDecoration = exports.exeCommands = exports.writeFile = void 0;
const check_1 = require("./check");
const terminal_1 = require("./terminal");
const exec_1 = require("../utils/exec/exec");
const exec_2 = require("../utils/exec");
const write_1 = require("./write");
const write_2 = require("./write/write");
const TextHandling_1 = require("./TextHandling");
const check = new check_1.Check();
const writeFilePromises = new write_2.WriteFilePromises();
const writeFile = new write_1.WriteFile(writeFilePromises, check);
exports.writeFile = writeFile;
const execSync = new exec_1.ExecSync();
const exeCommands = new exec_2.ExeCommands(execSync, check);
exports.exeCommands = exeCommands;
const terminalDecoration = new terminal_1.TerminalDecoration();
exports.terminalDecoration = terminalDecoration;
const textHandling = new TextHandling_1.TextHandling();
exports.textHandling = textHandling;
//# sourceMappingURL=index.js.map